summaryrefslogtreecommitdiff
path: root/test/Makefile
diff options
context:
space:
mode:
authorLinus Nordberg <linus@nordu.net>2016-11-23 17:09:48 +0100
committerLinus Nordberg <linus@nordu.net>2016-11-23 17:09:48 +0100
commit19a2a611a839c0318f58347e2d93943c8e2401a5 (patch)
tree18cd302161a88d4546b39792a4bff6b1ade95c77 /test/Makefile
parent27e368196ce65e109c027987c706a697356f7bc5 (diff)
WIP
Merge can run as four separate processes, plus a fifth controlling proces 'merge'. Tests are limited to testcase1.py and they're failing because of the test with the dead merge secondary. Tests are also time consuming because they're waiting for 60s each time a merge needs to be verified. This could be improved by peeking at the control files, for example.
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile19
1 files changed, 13 insertions, 6 deletions
diff --git a/test/Makefile b/test/Makefile
index bd58cfe..cee5186 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -1,20 +1,27 @@
PREFIX=..
INSTDIR=$(PREFIX)/catlfish
+all: tests
+
tests-start:
- ./scripts/light-system-test-start.sh
+ (cd $(INSTDIR)/tests && ../../test/scripts/light-system-test-start.sh)
tests-stop:
- ./scripts/light-system-test-stop.sh
-
-tests-wait:
- sleep 5
+ (cd $(INSTDIR)/tests && ../../test/scripts/light-system-test-stop.sh)
tests-makemk:
$(PREFIX)/tools/compileconfig.py --config=$(PREFIX)/test/catlfish-test.cfg --testshellvars=$(PREFIX)/test/test.shvars --machines 1
-tests:
+tests: tests-basic
+
+tests-basic:
@make tests-makemk
rm -r $(INSTDIR)/tests || true
mkdir $(INSTDIR)/tests
(cd $(INSTDIR)/tests && ../../test/scripts/light-system-test.sh)
+
+tests-continuous-merge:
+ @make tests-makemk
+ rm -r $(INSTDIR)/tests || true
+ mkdir $(INSTDIR)/tests
+ (cd $(INSTDIR)/tests && ../../test/scripts/continuous-merge-test.sh)